Page MenuHomePhabricator

.flac files freeze E.
Closed, ResolvedPublic

Description

As the title suggests. Hover over a flac file and the whole thing freezes.

ApB created this task.Nov 27 2017, 3:20 AM
ApB added a comment.Nov 27 2017, 3:36 AM

killed it with -sigsegv and got:

(gdb) bt
#0  0x00007f90b7ed9076 in ppoll () at /usr/lib/libc.so.6
#1  0x00007f905f2436a3 in gst_poll_wait () at /usr/lib/libgstreamer-1.0.so.0
#2  0x00007f905f2407a7 in  () at /usr/lib/libgstreamer-1.0.so.0
#3  0x00007f905f241ce3 in  () at /usr/lib/libgstreamer-1.0.so.0
#4  0x00007f905f24daac in gst_update_registry () at /usr/lib/libgstreamer-1.0.so.0
#5  0x00007f905f1e5110 in  () at /usr/lib/libgstreamer-1.0.so.0
#6  0x00007f90b5a3a298 in g_option_context_parse () at /usr/lib/libglib-2.0.so.0
#7  0x00007f905f1e5bad in gst_init_check () at /usr/lib/libgstreamer-1.0.so.0
#8  0x00007f908dd8437c in gstreamer_module_init () at modules/emotion/gstreamer1/emotion_gstreamer.c:1216
#9  0x00007f90bc0014bb in eina_module_load (m=m@entry=0x55ece263f7f0) at lib/eina/eina_module.c:339
#10 0x00007f90b9d5492e in emotion_engine_instance_new (name=0x55ece375b59c "gstreamer1", obj=0x80000040b2ded4d9, opts=0x55ece32d2600) at lib/emotion/emotion_modules.c:377
#11 0x00007f90b9d4ed14 in _engine_init (sd=0x55ece32d2520, obj=0x80000040b2ded4d9) at lib/emotion/emotion_smart.c:138
#12 0x00007f90b9d4ed14 in _efl_canvas_video_efl_file_file_set (obj=0x80000040b2ded4d9, sd=0x55ece32d2520, file=0x55ece2d053dc "/home/toliz/Downloads/1993 -- For Respect/01. Don Caballero - For Respect.flac", key=) at lib/emotion/emotion_smart.c:373
#13 0x00007f90b5774cf1 in efl_file_set (obj=obj@entry=0x80000040b2ded4d9, file=0x55ece2d053dc "/home/toliz/Downloads/1993 -- For Respect/01. Don Caballero - For Respect.flac", key=key@entry=0x0)
    at ../src/lib/efl/interfaces/efl_file.eo.c:3
#14 0x00007f90b9d4edf8 in emotion_object_file_set (obj=obj@entry=0x80000040b2ded4d9, file=) at lib/emotion/emotion_smart.c:363
#15 0x000055ece04f5d5c in _e_wid_fprev_preview_video_widgets (wd=0x55ece31aefb0) at ../src/bin/e_widget_filepreview.c:366
#16 0x000055ece04f5d5c in _e_wid_fprev_preview_file (wd=0x55ece31aefb0) at ../src/bin/e_widget_filepreview.c:725
#17 0x00007f9082012697 in _e_fwin_icon_popup (data=0x55ece3580280) at ../src/modules/fileman/e_fwin.c:919
#18 0x00007f90bb746706 in _ecore_call_task_cb (data=, func=) at lib/ecore/ecore_private.h:291
#19 0x00007f90bb746706 in _ecore_timer_legacy_tick (data=0x55ece26209c0, event=0x7fff8605e710) at lib/ecore/ecore_timer.c:184
#20 0x00007f90b5557870 in _event_callback_call (legacy_compare=0 '\000', event_info=, desc=0x7f90bb95fb00 , pd=0x55ece2b6b660, obj_id=)
    at lib/eo/eo_base_class.c:1473
#21 0x00007f90b5557870 in _efl_object_event_callback_call (obj_id=, pd=0x55ece2b6b660, desc=0x7f90bb95fb00 , event_info=)
    at lib/eo/eo_base_class.c:1557
#22 0x00007f90b5552dc1 in efl_event_callback_call (obj=0x80000048d2ded465, desc=desc@entry=0x7f90bb95fb00 , event_info=event_info@entry=0x0) at lib/eo/eo_base_class.c:1560
#23 0x00007f90bb7477a7 in _efl_loop_timer_expired_call (when=10894.446525022) at lib/ecore/ecore_timer.c:700
#24 0x00007f90bb7478fb in _efl_loop_timer_expired_timers_call (when=10894.446525022) at lib/ecore/ecore_timer.c:653
#25 0x00007f90bb731d11 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2277
#26 0x00007f90bb7323d7 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#27 0x000055ece04002b6 in main (argc=, argv=) at ../src/bin/e_main.c:1090
(gdb)
ApB reopened this task as Open.Mar 22 2018, 7:47 AM

Nope. Still see this on stable.

ApB closed this task as Resolved.Mar 25 2018, 1:01 AM

I updated to gst 1.14 and this works. Unrelated to this 480p video previews that didn't work do now.

#blackmagicshit. :S